[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFont.Name

Name of the font.

## Declaration

Source position: graphics.pp line 578

`published property TFont.Name : string read GetName write SetName stored IsNameStored;`

## Description

Name is a String property which contains the name of the font in the class instance. The initial value for the property is set when the class instance is created, and uses the Name from the DefFontData variable. The property is updated when Assign is called to copy values from another font instance.

Setting a new value for the property causes the font Reference to be re-created, and the Changed method is called to signal the OnChange event handler (when assigned).

Name is not included in LCL streaming when the property value is the same as the Name member in DefFontData.